<script lang="ts">
  import view from "$lib/tidy/stores/view.store";
  import { TimeFormat } from "$lib/tidy/types/time.type";
  import { properCase } from "$lib/tidy/utils/text.utils";
  import { formatSeconds } from "$lib/tidy/utils/time.utils";
  export let value: number;
  export let type: "total" | "focus" | "break" = "total";
</script>

<div
  class="flex flex-col items-start border border-brs3 rounded-md {$view.isPortrait
    ? 'w-24 sm:w-32 md:w-40 p-2 h-16'
    : 'w-40 xl:w-[11rem] p-4 h-20'}"
>
  <div class="text-b3">
    {properCase(type)}
  </div>
  <div
    class="font-medium {type === 'focus'
      ? 'text-aps1'
      : type === 'break'
        ? 'text-ass1'
        : ''} {$view.isPortrait ? 'text-base' : 'text-h2'}"
  >
    {formatSeconds(value, TimeFormat.CLOCK)}
  </div>
</div>
